%define module	lesscpy

Name:		python-%{module}
Version:	0.15.1
Release:	%mkrel 1
Summary:        Lesscss compiler
Group:		Development/Python
License:	MIT
URL:		https://github.com/lesscpy/lesscpy
Source0:	https://pypi.io/packages/source/l/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
A compiler written in python 2 for the lesscss language. For those of us not
willing/able to have node.js installed in our environment. Not all features
of lesscss are supported (yet). Some features wil probably never be
supported (JavaScript evaluation).

%package -n	python3-%{module}
Summary:	Lesscss compiler
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(ply)
BuildRequires:	python3dist(nose)
BuildRequires:	python3dist(coverage)
BuildRequires:	python3dist(flake8)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
A compiler written in python 3 for the lesscss language. For those of us not
willing/able to have node.js installed in our environment. Not all features
of lesscss are supported (yet). Some features wil probably never be
supported (JavaScript evaluation).

%prep
%setup -q -n %{module}-%{version}

#fix utf8 encoding issue occurring only under python3
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc LICENSE README.rst
%{_bindir}/lesscpy
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jan 08 2023 daviddavid <daviddavid> 0.15.1-1.mga9
+ Revision: 1931622
- new version: 0.15.1

* Sun Mar 27 2022 umeabot <umeabot> 0.15.0-2.mga9
+ Revision: 1829130
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.15.0-1.mga9
+ Revision: 1783836
- version 0.15.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.14.0-4.mga9
+ Revision: 1707397
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.14.0-3.mga8
+ Revision: 1608282
- rebuild for removing pythonegg buildrequires in srpm

* Thu Feb 20 2020 umeabot <umeabot> 0.14.0-2.mga8
+ Revision: 1545321
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 0.14.0-1.mga8
+ Revision: 1484635
- new version: 0.14.0
- add python_provide macro

* Sun Sep 15 2019 daviddavid <daviddavid> 0.13.0-4.mga8
+ Revision: 1441202
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.13.0-3.mga7
+ Revision: 1351617
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1289168
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1212343
- new version: 0.13.0

* Mon Jan 08 2018 daviddavid <daviddavid> 0.11.2-1.mga7
+ Revision: 1191454
- new version: 0.11.2
- rename python-lesscpy to python2-lesscpy

* Sat Aug 05 2017 pterjan <pterjan> 0.10.2-2.mga7
+ Revision: 1135480
- Rebuild for python 3.6

* Sat Oct 15 2016 daviddavid <daviddavid> 0.10.2-1.mga6
+ Revision: 1060965
- imported package python-lesscpy

